Name: gnupg
Version: 1.2.5
Release: alt1

Summary: The GNU Privacy Guard
License: GPL
Group: File tools
Url: http://www.gnupg.org/

Source: ftp://ftp.gnupg.org/GnuPG/%name/%name-%version.tar.bz2
Source1: pgp2gnupg.html

Patch1: %name-1.2.2-alt-texinfo.patch
Patch2: %name-1.2.3-alt-skel.patch
Patch3: %name-1.2.5-alt-GNUPG_DATADIR.patch
Patch4: %name-1.2.5-alt-autotools.patch
# By Florian Weimer, http://cert.uni-stuttgart.de/files/fw/gnupg-klima-rosa.diff
Patch5: %name-1.2.2-fw-secret-key-checks.patch
Patch6: %name-1.2.5-alt-cp1251.patch
Patch7: %name-1.2.5-alt-getkey.patch
Patch8: %name-1.2.5-alt-lancrypto.patch

Provides: gpg, openpgp
Requires(post): %install_info
Requires(preun): %uninstall_info

%def_enable ldap

BuildPreReq: bzlib-devel cvs docbook-utils zlib-devel

%if_enabled ldap
BuildPreReq: libldap-devel
%endif #enabled ldap

%package ldap
Group: File tools
Summary: The LDAP keyserver interface for the GNU Privacy Guard
Requires: %name = %version-%release

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

Because GnuPG does not use use any patented algorithm it cannot be
compatible with PGP2 versions.  PGP 2.x uses IDEA (which is patented
worldwide).

The default algorithms are DSA and ElGamal, but RSA is also
supported.  ElGamal for signing is available, but because of the
larger size of such signatures it is deprecated (Please note that
the GnuPG implementation of ElGamal signatures is *not* insecure).
Symmetric algorithms are: AES, 3DES, Blowfish, CAST5 and Twofish.
Digest algorithms available are MD5, RIPEMD160 and SHA1.

%description ldap
This package contains the LDAP keyserver interface
for the GNU Privacy Guard.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
#%patch8 -p1
find -type f -name \*.orig -print -delete

%__install -p -m644 %SOURCE1 doc
%__subst -p 's,/usr\[/local\]/share/gnupg,/etc/gnupg,g' doc/gpg.*
%__grep -FrlZ xloadimage . |xargs -r0 %__subst -p s/xloadimage/xli/g --
%__grep -FrlZ docbook-to-man . |xargs -r0 %__subst -p s/docbook-to-man/docbook2man/g --

%build
%__rm -f aclocal.m4
autoreconf -fisv
%__rm -rf zlib
%__subst -p 's/^mkinstalldirs = .*/mkinstalldirs = \$(SHELL) \$(MKINSTALLDIRS)/' po/Makefile.in.in
export ac_cv_path_SENDMAIL=/usr/sbin/sendmail
%configure \
	--with-static-rnd=linux \
	--program-prefix= \
	%{subst_enable ldap} \
	#
%make_build
%{!?__buildreqs:%{!?_without_check:%{!?_disable_check:%make_build check}}}

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
%__sed -e "s,../g10/gpg,gpg," <tools/lspgpot >$RPM_BUILD_ROOT%_bindir/lspgpot
%__chmod 755 $RPM_BUILD_ROOT%_bindir/*

%find_lang %name

%post
%install_info {gpg,gpgv}.info
 
%preun
%uninstall_info {gpg,gpgv}.info

%files -f %name.lang
%_bindir/*
%_libexecdir/%name
%if_enabled ldap
%exclude %_libexecdir/%name/*ldap*
%endif #enabled ldap
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/options.skel
%_infodir/*.info*
%_mandir/man?/*
%doc AUTHORS BUGS NEWS PROJECTS README THANKS TODO
%doc doc/{DETAILS,FAQ,HACKING,OpenPGP,*.html,samplekeys.asc}
%doc tools/convert-from-106

%if_enabled ldap
%files ldap
%dir %_libexecdir/%name
%_libexecdir/%name/*ldap*
%endif #enabled ldap

%changelog
* Mon Aug 02 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt1
- Updated to 1.2.5.
- Fixed "User id not found" reporting (#4302).
- Made build with ldap support configurable (#4882).
- Disabled lancrypto patch.

* Fri Feb 27 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.4-alt2
- Fixed build with fresh autotools.

* Sun Jan 11 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.4-alt1
- Updated to 1.2.4:
  + Added read-only support for BZIP2 compression.
  + Added the ability to handle messages that can be decrypted
    with either a passphrase or a secret key.
  + A Russian translation is included again as well as a new
    Belarusian translation.
- Added cp1251 charset support (#1410).

* Tue Dec 02 2003 Dmitry V. Levin <ldv@altlinux.org> 1.2.3-alt2
- Added patch by David Shaw to disable the ability to create
  signatures using the ElGamal sign+encrypt (type 20) keys
  as well as to remove the option to create such keys.
- Moved %_libexecdir/%name/gpgkeys_ldap to ldap subpackage.

* Sun Aug 24 2003 Dmitry V. Levin <ldv@altlinux.org> 1.2.3-alt1
- Updated to 1.2.3, rediffed patches.
- Removed alt-checks-defs patch (merged upstream).
- Changed default keyserver to hkp://subkeys.pgp.net.
- Changed default image loader to xli (#2787).

* Wed May 14 2003 Dmitry V. Levin <ldv@altlinux.org> 1.2.2-alt1
- Updated to 1.2.2 (fixed key validation bug), rediffed patches.
- Deal with info dir entries such that the menu looks pretty.
- Added samplekeys.asc and convert-from-106 script.

* Fri Dec 20 2002 Dmitry V. Levin <ldv@altlinux.org> 1.2.1-alt2.1
- Updated patch from LAN Crypto.

* Wed Nov 13 2002 Dmitry V. Levin <ldv@altlinux.org> 1.2.1-alt2
- Made and applied experimental patch from LAN Crypto.

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 1.2.1-alt1
- Updated to 1.2.1.
- Reviewed patched:
  + texinfo: updated;
  + skel: updated;
  + smp_build: merged upstream;
  + fw-secret-key-checks: unchanged.
- Relocated %_datadir/%name to %_sysconfdir/%name (FHS).

* Mon May 20 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.7-alt2
- Added -fw-secret-key-checks patch (by Florian Weimer,
  http://cert.uni-stuttgart.de/files/fw/gnupg-klima-rosa.diff)

* Wed May 01 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.7-alt1
- 1.0.7 (far too many enhancements to be listed here, please see the announcement mail:
  http://lists.gnupg.org/pipermail/gnupg-announce/2002q2/000251.html).
- Resurrected translations (still no russian traslation yet).
- Fixed SMP build.

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.6-alt1
- 1.0.6

* Tue May 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.5-alt1
- 1.0.5
- Added info pages.

* Thu Dec 21 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.4-ipl3mdk
- Security patch.
- Disallow private key import by default.

* Wed Nov 29 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.4-ipl2mdk
- Moved gph documentation to independent package gnupg-manual.
- Merged RH patches.

* Wed Oct 18 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.4-ipl1mdk
- 1.0.4

* Tue Sep 19 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.3-ipl1mdk
- 1.0.3
- Updated options.skel (added more templates).

* Thu Aug 17 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.2-ipl2mdk
- Removed buggy localization for a while.

* Wed Jul 12 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.2-ipl1mdk
- 1.0.2

* Mon Jun 26 2000 Dmitry V. Levin <ldv@fandra.org>
- RE adaptions.
- use FHS-compatible *dir macros.

* Sun Dec 26 1999 Dmitry V. Levin <ldv@fandra.org>
- 1.0.1
- gph included from 1.0.0
- ru.po-1.0.0h

* Wed Sep 27 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Wed Sep  8 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.0.0
- little spec tweaks

* Thu May 06 1999 Fabio Coatti cova@felix.unife.it>
- Upgraded for 0.9.6 (removed gpgm)

* Tue Jan 12 1999 Fabio Coatti <cova@felix.unife.it>
- LINGUAS variable is now unset in configure to ensure that all
  languages will be built. (Thanks to Luca Olivetti <luca@luca.ddns.org>)

* Sat Jan 02 1999 Fabio Coatti <cova@felix.unife.it>
- Added pl language file.
- Included g10/pubring.asc in documentation files.

* Sat Dec 19 1998 Fabio Coatti <cova@felix.unife.it>
- Modified the spec file provided by Caskey L. Dickson <caskey-at-technocage.com>
- Now it can be built also by non-root. Installation has to be done as
  root, gpg is suid.
- Added some changes by  Ross Golder <rossigee@bigfoot.com>
- Updates for version 0.4.5 of GnuPG (.mo files)
